import { ref, watch } from 'vue';
import { cloneDeep } from 'lodash';

export default function useClearDialog(data, props, getDetail) {
  let formData = ref(cloneDeep(data));
  let isEdit = ref(false);
  watch(
    () => props.curRow,
    (val) => {
      if (!val) {
        formData.value = cloneDeep(data);
        isEdit.value = false;
      } else {
        isEdit.value = true;
      }
    }
  );
  watch(
    () => props.visible,
    (visible) => {
      if (!visible) {
        formData.value = cloneDeep(data);
      } else {
        !!props.curRow && getDetail && getDetail();
      }
    }
  );
  return { formData, isEdit };
}
